::-webkit-input-placeholder {
	/* WebKit, Blink, Edge */
	color: #aaa6b2;
}
:-moz-placeholder {
	/* Mozilla Firefox 4 to 18 */
	color: #aaa6b2;
	opacity: 1;
}
::-moz-placeholder {
	/* Mozilla Firefox 19+ */
	color: #aaa6b2;
	opacity: 1;
}
:-ms-input-placeholder {
	/* Internet Explorer 10-11 */
	color: #aaa6b2;
}
::-ms-input-placeholder {
	/* Microsoft Edge */
	color: #aaa6b2;
}

::placeholder {
	/* Most modern browsers support this now. */
	color: #aaa6b2;
}

body::-webkit-scrollbar {
	width: 11px;
}
body {
	scrollbar-width: thin;
	scrollbar-color: #999 #fff;
}
body:-webkit-scrollbar-track {
	background: #fff;
}
body::-webkit-scrollbar-thumb {
	background-color: #999;
	border-radius: 6px;
	border: 3px solid #fff;
}
#preloader {
	position: fixed;
	left: 0;
	top: 0;
	height: 100vh;
	width: 100%;
	z-index: 99999;
	display: flex;
}
#preloader:before,
#preloader:after {
	content: "";
	position: absolute;
	left: 0;
	top: 0;
	width: 50%;
	height: 100%;
	z-index: -1;
	background-color: #000;
	-webkit-transition: all 0.3s ease 0s;
	-o-transition: all 0.3s ease 0s;
	transition: all 0.3s ease 0s;
}
#preloader:after {
	left: auto;
	right: 0;
}
#preloader .loader_line {
	margin: auto;
	width: 1px;
	height: 250px;
	position: relative;
	overflow: hidden;
	-webkit-transition: all 0.8s ease 0s;
	-o-transition: all 0.8s ease 0s;
	transition: all 0.8s ease 0s;
}
.loader_line:before {
	content: "";
	position: absolute;
	left: 0;
	top: 50%;
	width: 1px;
	height: 0%;
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	transform: translateY(-50%);
	background-color: #fff;
	-webkit-animation: lineheight 1000ms ease-in-out 0s forwards;
	-o-animation: lineheight 1000ms ease-in-out 0s forwards;
	animation: lineheight 1000ms ease-in-out 0s forwards;
}
.loader_line:after {
	content: "";
	position: absolute;
	left: 0;
	top: 0;
	width: 1px;
	height: 100%;
	background-color: #777;
	-webkit-transform: translateY(-100%);
	-ms-transform: translateY(-100%);
	-o-transform: translateY(-100%);
	transform: translateY(-100%);
	-webkit-animation: lineround 1200ms linear 0s infinite;
	-o-animation: lineround 1200ms linear 0s infinite;
	animation: lineround 1200ms linear 0s infinite;
	animation-delay: 2000ms;
}

@keyframes lineheight {
	0% {
		height: 0%;
	}
	100% {
		height: 100%;
	}
}

@keyframes lineround {
	0% {
		-webkit-transform: translateY(-100%);
		-ms-transform: translateY(-100%);
		-o-transform: translateY(-100%);
		transform: translateY(-100%);
	}
	100% {
		-webkit-transform: translateY(200%);
		-ms-transform: translateY(200%);
		-o-transform: translateY(200%);
		transform: translateY(200%);
	}
}

/*hiding all*/
.preloaded .loader_line:after {
	opacity: 0;
}
.preloaded .loader_line {
	opacity: 0;
	height: 100% !important;
}
.preloaded:before,
.preloaded:after {
	-webkit-animation: preloadedzero 300ms ease-in-out 500ms forwards;
	-o-animation: preloadedzero 300ms ease-in-out 500ms forwards;
	animation: preloadedzero 300ms ease-in-out 500ms forwards;
}
@keyframes preloadedzero {
	0% {
		width: 50%;
	}
	100% {
		width: 0%;
	}
}
.cavani_tm_header .logo[data-type="image"] .image {
	display: inline-block;
}
.cavani_tm_header .logo[data-type="image"] .text {
	display: none;
}
.cavani_tm_header .logo[data-type="text"] .image {
	display: none;
}
.cavani_tm_header .logo[data-type="text"] .text {
	display: inline-block;
}
.cavani_tm_section {
	transition: visibility 1s linear, opacity 0s linear;
	-moz-transition: visibility 1s linear, opacity 0s linear;
	-webkit-transition: visibility1s linear, opacity 0s linear;
	-o-transition: visibility 1s linear, opacity 0s linear;
}
.cavani_tm_about .services .service_list ul li:before {
	position: absolute;
	content: "";
	display: inline-block;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 5.5px 0 5.5px 9.5px;
	border-color: transparent transparent transparent #7d7789;
	left: 0px;
	top: 7px;
}
.progress_inner .background .bar.open {
	-webkit-animation: wow 2s cubic-bezier(0.165, 0.84, 0.44, 1); /* Safari 4+ */
	-moz-animation: wow 2s cubic-bezier(0.165, 0.84, 0.44, 1); /* Fx 5+ */
	animation: wow 2s cubic-bezier(0.165, 0.84, 0.44, 1); /* IE 10+ */
	width: 100%;
}

@-webkit-keyframes wow {
	0% {
		width: 0%;
	}
	100% {
		width: 100%;
	}
}
@-moz-keyframes wow {
	0% {
		width: 0%;
	}
	100% {
		width: 100%;
	}
}
@keyframes wow {
	0% {
		width: 0%;
	}
	100% {
		width: 100%;
	}
}
.cavani_tm_about .partners .list ul {
	min-width: calc(100% + 12px);
}
.cavani_tm_about .testimonials .list ul li .text:before {
	position: absolute;
	content: "";
	height: 0px;
	width: 0px;
	top: 100%;
	left: 50px;
	border: solid transparent;
	border-top-color: #e5edf4;
	border-width: 18px 18px 0px 0px;
}
.cavani_tm_about .testimonials .list ul li .text:after {
	position: absolute;
	content: "";
	top: 100%;
	left: 50px;
	height: 0px;
	width: 0px;
	border: solid transparent;
	border-top-color: #f6fbff;
	border-width: 14px 13px 0px 0px;
	margin-left: 2px;
}
.cavani_tm_portfolio .portfolio_list ul li .details {
	box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
	z-index: 3;
	padding: 15px;
	transform: translateY(102%);

	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}

.circular_progress_bar .list_inner:after {
	content: "";
	position: absolute;
	width: 120px;
	height: 120px;
	border: 4px solid rgba(0, 0, 0, 0.07);
	left: 0px;
	top: 0px;
	border-radius: 50%;
	box-sizing: border-box;
	z-index: -1;
}
.cavani_tm_modalbox .close a {
	display: block;
	width: 40px;
	height: 40px;
	text-decoration: none;
	color: #fff;
	border: 2px solid #fff;
	border-radius: 10px;
	position: relative;

	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}
.cavani_tm_modalbox .close a:hover {
	border-radius: 100%;
}
.cavani_tm_modalbox .close a i {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.cavani_tm_modalbox .description_wrap::-webkit-scrollbar {
	width: 11px;
}
.aali_tm_modalbox .description_wrap {
	scrollbar-width: thin;
	scrollbar-color: #bbb #fff;
}
.cavani_tm_modalbox .description_wrap:-webkit-scrollbar-track {
	background: #fff;
}
.cavani_tm_modalbox .description_wrap::-webkit-scrollbar-thumb {
	background-color: #bbb;
	border-radius: 10px;
	border: 3px solid #fff;
}
.cavani_tm_news .news_list > ul > li .list_inner .details {
	max-width: calc(100% - 80px);
}
.cavani_tm_news .news_list > ul > li .post_title h3 a {
	text-decoration: none;
	color: #333;
	font-size: 24px;
	background-image: linear-gradient(currentColor, currentColor);
	background-position: 0% 100%;
	background-repeat: no-repeat;
	background-size: 0% 2px;
	transition: background-size 0.5s;
}
.cavani_tm_news .news_list > ul > li .post_title h3 a:hover {
	background-size: 100% 2px;
}
.cavani_fn_moving_box {
	width: 265px;
	height: 198px;
	border: 1px solid #fff;
	box-shadow: 5px 0px 30px rgb(0 0 0 / 10%);
	position: fixed;
	top: 50%;
	right: 170px;
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	opacity: 0;
	visibility: hidden;
	z-index: 1;
	transform: scale(0.6);

	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}
.cavani_fn_moving_box.opened {
	opacity: 1;
	visibility: visible;
	transform: scale(1);
}
.cavani_tm_contact .form .fields ul li input {
	width: 100%;
	border: 1px solid rgba(0, 0, 0, 0.07);
	background-color: transparent;
}
.cavani_tm_contact .form .fields ul li input:focus {
	outline: none;
	border: 1px solid rgba(0, 0, 0, 0.2);
}
.cavani_tm_contact .form .fields .last textarea {
	width: 100%;
	border: 1px solid rgba(0, 0, 0, 0.07);
	height: 120px;
	resize: none;
	margin-bottom: 20px;
	background-color: transparent;
	font-size: 13px;
}
.cavani_tm_contact .form .fields .last textarea:focus {
	outline: none;
	border: 1px solid rgba(0, 0, 0, 0.2);
}
.mouse-cursor {
	position: fixed;
	left: 0;
	top: 0;
	pointer-events: none;
	border-radius: 50%;
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
	visibility: hidden;
}
.cursor-inner {
	margin-left: -3px;
	margin-top: -3px;
	width: 6px;
	height: 6px;
	z-index: 100;
	background-color: #333;
	-webkit-transition: width 0.3s ease-in-out, height 0.3s ease-in-out,
		margin 0.3s ease-in-out, opacity 0.3s ease-in-out;
	transition: width 0.3s ease-in-out, height 0.3s ease-in-out,
		margin 0.3s ease-in-out, opacity 0.3s ease-in-out;
}
.cursor-inner.cursor-hover {
	margin-left: -40px;
	margin-top: -40px;
	width: 80px;
	height: 80px;
	background-color: #333;
	opacity: 0.3;
}
.cursor-outer {
	margin-left: -15px;
	margin-top: -15px;
	width: 30px;
	height: 30px;
	border: 2px solid #333;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	z-index: 100;
	opacity: 0.5;
	-webkit-transition: all 0.08s ease-out;
	transition: all 0.08s ease-out;
}
.cursor-outer.cursor-hover {
	opacity: 0;
}
.cavani_tm_all_wrap[data-magic-cursor="hide"] .mouse-cursor {
	display: none;
	opacity: 0;
	visibility: hidden;
	position: absolute;
	z-index: -1111;
}
.cavani_tm_topbar .logo[data-type="image"] .image {
	display: inline-block;
}
.cavani_tm_topbar .logo[data-type="image"] .text {
	display: none;
}
.cavani_tm_topbar .logo[data-type="text"] .image {
	display: none;
}
.cavani_tm_topbar .logo[data-type="text"] .text {
	display: inline-block;
}
.cavani_tm_topbar .hamburger {
	padding: 0px;
}
.cavani_tm_topbar .hamburger-inner,
.cavani_tm_topbar .hamburger-inner:after,
.cavani_tm_topbar .hamburger-inner:before {
	width: 30px;
	height: 2px;
}
.cavani_tm_topbar .hamburger-box {
	width: 30px;
}
.cavani_tm_mobile_menu.opened {
	right: 0px;
}
.cavani_tm_mainpart .author_image .glitch_wrap {
	position: relative;
	width: 100%;
	height: 100%;
	float: left;
	overflow: hidden;
}
.glitch {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background-image: url("..//img/about/2.jpg");
	background-size: cover;
	-webkit-background-size: cover;
	background-position: center;
	z-index: -1 !important;
	opacity: 1;
	transform: scale(1);
}
.cavani_tm_mainpart .author_image .particle_wrapper {
	position: relative;
	float: left;
	width: 100%;
	height: 100%;
}
#particles-js {
	width: 100%;
	height: 100%;
	position: relative;
	z-index: 2;
}
.cavani_tm_mainpart .author_image .ripple {
	width: 100%;
	height: 100%;
	position: relative;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	background-image: url("..//img/about/3.jpg");
}

.cavani_tm_intro {
	width: 100%;
	height: auto;
	clear: both;
	float: left;
	padding-bottom: 50px;
}
.cavani_tm_intro .main_title {
	width: 100%;
	height: auto;
	clear: both;
	float: left;
	text-align: center;
	padding: 100px 0px 100px 0px;
}
.cavani_tm_intro .main_title img {
	max-width: 200px;
	margin-bottom: 20px;
	display: inline-block;
}
.cavani_tm_intro .main_title p {
	font-weight: 500;
	font-size: 18px;
}
.cavani_tm_intro .demo_list {
	width: 100%;
	max-width: 1000px;
	clear: both;
	margin: 0px auto;
	padding: 0px 20px;
}
.cavani_tm_intro .demo_list ul {
	margin: 0px 0px 0px -50px;
	list-style-type: none;
}
.cavani_tm_intro .demo_list ul li {
	margin: 0px 0px 50px 0px;
	float: left;
	width: 50%;
	padding-left: 50px;
}
.cavani_tm_intro .demo_list ul li .list_inner {
	width: 100%;
	height: auto;
	clear: both;
	float: left;
	position: relative;
	text-align: center;
	top: 0px;
	transition: all 0.3s ease;
}
.cavani_tm_intro .demo_list ul li .list_inner:hover {
	top: -5px;
}
.cavani_tm_intro .demo_list ul li img {
	box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.15);
	margin-bottom: 20px;
}
.cavani_tm_intro .demo_list ul li h3 {
	font-size: 18px;
}
.intro_copyright {
	width: 100%;
	height: auto;
	float: left;
	text-align: center;
	padding: 20px 0px;
	background-color: #333;
}
.intro_copyright p {
	color: #fff;
}

@media (max-width: 1040px) {
	.cavani_tm_intro .demo_list ul {
		margin: 0px;
	}
	.cavani_tm_intro .demo_list ul li {
		width: 100%;
		padding-left: 0px;
	}
}
